# {{ ansible_managed }}

[Unit]
Description=OpenLDAP Daemon
Documentation=man:slapd(8)
Documentation=man:slapd-config(8)
After=network-online.target

[Service]
Type=simple
User=openldap
Group=openldap
AmbientCapabilities=CAP_NET_BIND_SERVICE
CapabilityBoundingSet=CAP_NET_BIND_SERVICE
RuntimeDirectory=openldap/slapd.d
RuntimeDirectoryMode=0770
Environment=KRB5_KTNAME=/etc/ldap/slapd.keytab
ExecStartPre=/usr/sbin/slapadd -F /run/openldap/slapd.d -b 'cn=config' -l /etc/ldap/config.ldif
ExecStart=/usr/sbin/slapd -d "{{ openldap_log_level }}" -F /run/openldap/slapd.d -h "{{ openldap_services|join(" ") }}"

[Install]
WantedBy=multi-user.target
